The dialog component provides built-in utility functions to render the alert and confirm dialogs with the minimal code. The following options are used as an argument on calling the utility functions:
Options | Description |
---|---|
title | Specifies the title of dialog like the header property. |
content | Specifies the value that can be displayed in dialog’s content area like the content property. |
isModal | Specifies the Boolean value whether the dialog can be displayed as modal or non-modal. For more details, refer to the isModal property. |
position | Specifies the value where the alert or confirm dialog is positioned within the document. For more details, refer to the position property { X: ‘center’, Y: ‘center’} |
okButton | Configures the OK button that contains button properties with the click events. okButton:{ icon:'prefix icon to the button', cssClass:'custom class to the button', click: 'action for OK button click', text: 'Yes' // <-- Default value is 'OK' } |
cancelButton | Configures the Cancel button that contains button properties with the click events. cancelButton:{ icon:'prefix icon to the button', cssClass:'custom class to the button', click: 'action for ‘Cancel’ button click', text: 'No' // <-- Default value is 'Cancel'} |
isDraggable | Specifies the value whether the alert or confirm dialog can be dragged by the user. |
showCloseIcon | When set to true, the close icon is shown in the dialog component. |
closeOnEscape | When set to true, you can close the dialog by pressing ESC key. |
animationSettings | Specifies the animation settings of the dialog component. |
cssClass | Specifies the CSS class name that can be appended to the dialog. |
zIndex | Specifies the order of the dialog, that is displayed in front or behind of another component. |
open | Event which is triggered after the dialog is opened. |
Close | Event which is triggered after the dialog is closed. |
An alert dialog box is used to display warning like messages to the users. Use the following code to render a simple alert dialog in an application.
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component {
buttonClick() {
DialogUtility.alert('This is an Alert Dialog!');
}
render() {
return (<button className="e-control e-btn" onClick={this.buttonClick} id="targetButton" role="button">Open Alert Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component<{}, {}> {
public buttonClick(): void {
DialogUtility.alert('This is an Alert Dialog!');
}
public render() {
return (
<button className="e-control e-btn" onClick={this.buttonClick} id="targetButton" role="button">Open Alert Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component {
buttonClick() {
DialogUtility.alert({
animationSettings: { effect: 'Zoom' },
closeOnEscape: true,
content: "This is an Alert Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: 'Alert Dialog'
});
}
okClick() {
alert('you clicked OK button');
}
render() {
return (<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Alert Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component<{}, {}> {
public buttonClick(): void {
DialogUtility.alert({
animationSettings: { effect: 'Zoom' },
closeOnEscape: true,
content: "This is an Alert Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: 'Alert Dialog'
});
}
public okClick(): void {
alert('you clicked OK button');
}
public render() {
return (
<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Alert Dialog</button>);
}
}
export default App;
A confirm dialog displays a specified message along with ‘OK’ and ‘Cancel’ button.
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component {
buttonClick() {
DialogUtility.confirm('This is a Confirmation Dialog!');
}
render() {
return (<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component<{}, {}> {
public buttonClick(): void {
DialogUtility.confirm('This is a Confirmation Dialog!');
}
public render() {
return (
<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>
);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component {
buttonClick() {
DialogUtility.confirm({
animationSettings: { effect: 'Zoom' },
cancelButton: { text: 'Cancel', click: this.cancelClick.bind(this) },
closeOnEscape: true,
content: "This is a Confirmation Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: ' Confirmation Dialog',
});
}
okClick() {
alert('you clicked OK button');
}
cancelClick() {
alert('you clicked Cancel button');
}
render() {
return (<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
class App extends React.Component<{}, {}> {
public buttonClick(): void {
DialogUtility.confirm({
animationSettings: { effect: 'Zoom' },
cancelButton: { text: 'Cancel', click: this.cancelClick.bind(this) },
closeOnEscape: true,
content: "This is a Confirmation Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: ' Confirmation Dialog',
});
}
public okClick(): void {
alert('you clicked OK button');
}
public cancelClick(): void {
alert('you clicked Cancel button');
}
public render() {
return (
<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>
);
}
}
export default App;
When rendering an Alert and Confirmation dialog through utility methods, You can close the dialog using the following ways.
You can also manually close the Dialogs by creating an instance to the dialog and call the hide method.
Below sample demonstrates the different ways of hiding the utility dialog.
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
const DialogObj;
class App extends React.Component {
buttonClick() {
DialogObj = DialogUtility.confirm({
animationSettings: { effect: 'Zoom' },
cancelButton: { text: 'Cancel', click: this.cancelClick.bind(this) },
closeOnEscape: true,
content: "This is a Confirmation Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: ' Confirmation Dialog',
});
}
okClick() {
alert('you clicked OK button');
}
cancelClick() {
//Hide the dialog
DialogObj.hide();
}
render() {
return (<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>);
}
}
export default App;
import { DialogUtility } from '@syncfusion/ej2-popups';
import * as React from "react";
const DialogObj;
class App extends React.Component<{}, {}> {
public buttonClick(): void {
DialogObj = DialogUtility.confirm({
animationSettings: { effect: 'Zoom' },
cancelButton: { text: 'Cancel', click: this.cancelClick.bind(this) },
closeOnEscape: true,
content: "This is a Confirmation Dialog!",
okButton: { text: 'OK', click: this.okClick.bind(this) },
showCloseIcon: true,
title: ' Confirmation Dialog',
});
}
public okClick(): void {
alert('you clicked OK button');
}
public cancelClick(): void {
//Hide the dialog
DialogObj.hide();
}
public render() {
return (
<button className="e-control e-btn" onClick={this.buttonClick = this.buttonClick.bind(this)} id="targetButton" role="button">Open Confirm Dialog</button>
);
}
}
export default App;

Syncfusion AI Assistant

How can I help you?

Render a dialog using utility functions in Angular Dialog component

26 Feb 202613 minutes to read

The dialog component provides built-in utility functions to render alert and confirm dialogs with minimal code.
The following options are used as arguments when calling the utility functions:

Options Description
title Specifies the title of the dialog, similar to the header property.
content Specifies the content to display in the dialog, similar to the content property.
isModal Specifies whether the dialog displays as modal or non-modal. For more details, refer to the isModal property.
position Specifies the position of the alert or confirm dialog within the document. For more details, refer to the position property, e.g., { X: 'center', Y: 'center' }.
okButton Configures the OK button with button properties and click events. Example: okButton: { icon: 'icon-class', cssClass: 'custom-class', click: 'handler', text: 'Yes' } (default text is ‘OK’).
cancelButton Configures the Cancel button with button properties and click events. Example: cancelButton: { icon: 'icon-class', cssClass: 'custom-class', click: 'handler', text: 'No' } (default text is ‘Cancel’).
isDraggable Specifies whether the alert or confirm dialog can be dragged by the user.
showCloseIcon When set to true, displays the close icon in the dialog component.
closeOnEscape When set to true, closes the dialog by pressing the Esc key.
animationSettings Specifies the animation settings for the dialog component.
cssClass Specifies the CSS class name to append to the dialog.
zIndex Specifies the z-index order of the dialog for layering in front of or behind other components.
open Event triggered after the dialog opens.
close Event triggered after the dialog closes.

Alert dialog

An alert dialog displays warning messages to users. Use the following code to render a simple alert dialog in an application.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'




import { Component, ViewChild, OnInit, ViewEncapsulation } from '@angular/core';
import { DialogUtility } from '@syncfusion/ej2-popups';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-root',
    template: `<button class="e-control e-btn" id="targetButton" (click)="onOpenDialog($event)">Open Alert Dialog</button>`,
    encapsulation: ViewEncapsulation.None
})

export class AppComponent implements OnInit {
    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }
    public onOpenDialog = function(event: any): void {
        DialogUtility.alert('This is an Alert Dialog!');
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Render an alert dialog with options

The following sample demonstrates rendering an alert dialog with additional configuration options.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'




import { Component, ViewChild, OnInit } from '@angular/core';
import { DialogUtility } from '@syncfusion/ej2-popups';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-root',
    template: `<button class="e-control e-btn" id="targetButton" (click)="onOpenDialog($event)">Open Alert Dialog</button>`
})

export class AppComponent implements OnInit {
    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }

    public onOpenDialog = (event: any): void => {
       DialogUtility.alert({
        title: 'Alert Dialog',
        content: "This is an Alert Dialog!",
        okButton: {  text: 'OK', click: this.okClick.bind(this) },
        showCloseIcon: true,
        closeOnEscape: true,
        animationSettings: { effect: 'Zoom' }
    });
 }
 private okClick(): void {
    alert('you clicked OK button');
 }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Confirm dialog

A confirm dialog displays a specified message along with OK and Cancel buttons.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'




import { Component, ViewChild, OnInit } from '@angular/core';
import { DialogUtility } from '@syncfusion/ej2-popups';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-root',
    template: `<button class="e-control e-btn" id="targetButton" (click)="onOpenDialog($event)">Open Confirm Dialog</button>`
})

export class AppComponent implements OnInit {
    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }
    public onOpenDialog = function(event: any): void {
        DialogUtility.confirm('This is a Confirmation Dialog!');
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Render a confirmation dialog with options

The following sample demonstrates rendering a confirmation dialog with additional configuration options.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'




import { Component, ViewChild, OnInit } from '@angular/core';
import { DialogUtility } from '@syncfusion/ej2-popups';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-root',
    template: `<button class="e-control e-btn" id="targetButton" (click)="onOpenDialog($event)">Open Confirm Dialog</button>`
})

export class AppComponent implements OnInit {
    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }
    public onOpenDialog = (event: any): void => {
        DialogUtility.confirm({
        title: ' Confirmation Dialog',
        content: "This is a Confirmation Dialog!",
        okButton: {  text: 'OK', click: this.okClick.bind(this) },
        cancelButton: {  text: 'Cancel', click: this.cancelClick.bind(this) },
        showCloseIcon: true,
        closeOnEscape: true,
        animationSettings: { effect: 'Zoom' }
    });
    }
    private okClick(): void {
        alert('you clicked OK button');
    }

    private cancelClick(): void {
        alert('you clicked Cancel button');
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Close utility dialog

When rendering alert and confirmation dialogs through utility methods, close the dialog using the following methods:

Manually close dialogs by creating an instance and calling the hide method.

The following sample demonstrates different ways to close the utility dialog.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'




import { Component, ViewChild, OnInit } from '@angular/core';
import { DialogUtility } from '@syncfusion/ej2-popups';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-root',
    template: `<button class="e-control e-btn" id="targetButton" (click)="onOpenDialog($event)">Open Confirm Dialog</button>`
})

export class AppComponent implements OnInit {
    ngOnInit(): void {
        throw new Error('Method not implemented.');
    }
    public DialogObj: any;
    public onOpenDialog = (event: any): void => {
        this.DialogObj = DialogUtility.confirm({
        title: 'Confirmation Dialog',
        content: "This is a Confirmation Dialog!",
        okButton: {  text: 'OK', click: this.okClick.bind(this) },
        cancelButton: {  text: 'Cancel', click: this.cancelClick.bind(this) },
        showCloseIcon: true,
        closeOnEscape: true,
        animationSettings: { effect: 'Zoom' }
    });
    }
    private okClick(): void {
        alert('you clicked OK button');
    }

    private cancelClick(): void {
        //Hide the dialog
        this.DialogObj.hide();
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));